javax.xml.ws.http

## Class HTTPException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.xml.ws.WebServiceException
        - - javax.xml.ws.ProtocolException
          - - javax.xml.ws.http.HTTPException

- All Implemented Interfaces:
    Serializable

      public class HTTPException
      extends ProtocolException

  The `HTTPException` exception represents a XML/HTTP fault.

  Since there is no standard format for faults or exceptions in XML/HTTP messaging, only the HTTP status code is captured.

  Since:
    JAX-WS 2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPException(int statusCode)` Constructor for the HTTPException

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStatusCode()` Gets the HTTP status code.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPException

          public HTTPException(int statusCode)

      Constructor for the HTTPException
      Parameters:
        `statusCode` - `int` for the HTTP status code

  - ### Method Detail

    - #### getStatusCode

          public int getStatusCode()

      Gets the HTTP status code.
      Returns:
        HTTP status code

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.